Subject: Re: tar (four questions)
From: [email-masked] (Geoffrey Noer)

19 Feb 1998 04:46:16 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Content-Type: text
To: [email-masked] (Jon Byron Davis)
Cc: [email-masked]

Jon Byron Davis wrote:
> 
> A few questions about tar:
> 
> a) I get the following error/warning when I create an archive:
>    (someone asked about this before, but I never saw an answer)
> 
>    root@DOLORES bash-2.01$tar cvf tmp.tar tmp/
>    setgrent called, and it's not done yet.
> 
>    Is this a problem?  I haven't seen any negative effects, but...

This was one of several functions that several Unix programs assumed
would be present but were only implemented as stubs.  To warn people
using these noop stubs, cygwin printed out that message.

setgrent will be implemented in upcoming b19.

> b) Has anyone had problems with tar screwing up archives?  I 
>    don't know if it was tar or gzip (or gunzip for that matter)
>    but every now and then tar xvf fails, complaining that something
>    is wrong with the archive. This has only happened to archives 
>    that I have created, not on any that I have downloaded.  Is 
>    there any chance that running several instances of tar (or gzip)
>    in the background simultaneously could be confusing things?

Possibly.  I haven't seen the problem you describe, and can't guess
what's going on from your description.  :-(

> c) I can't seem to get some of the switches for tar to work.  For
>    example, -r (--append) and -u (--update) don't seem to work.
>    Am I using them incorrectly, or are some of the switches not yet
>    implemented?

Most of the user tools like tar haven't been extensively tested.
It's conceivable that these switches might be broken.

> d) How is the CR/LF thing handled with tar?  I have / mounted as
>    text=binary, but I'd like to be able to use tar to archive some
>    of my Win32 stuff (Excel spreadsheets, mostly).  I haven't run
>    into any problems yet, but I'd like to be aware of any potential
>    pitfalls.

Tar should always work in binary mode.

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".